Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236383 - Dzongkha (Bhutan) support
Summary: Dzongkha (Bhutan) support
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: comps
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F8Target
TreeView+ depends on / blocked
 
Reported: 2007-04-13 15:15 UTC by Marcin Garski
Modified: 2013-01-10 01:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-21 00:36:52 UTC


Attachments (Terms of Use)
comps-f7-bhutanese.patch (deleted)
2007-04-16 02:26 UTC, Jens Petersen
no flags Details | Diff
comps.xml.in-Bhutanese.patch (deleted)
2007-05-25 07:33 UTC, Jens Petersen
no flags Details | Diff
comps-f8.xml.in-oo.org-dz.patch (deleted)
2007-06-20 12:26 UTC, Marcin Garski
no flags Details | Diff

Description Marcin Garski 2007-04-13 15:15:20 UTC
Similar to bug #167536 I open new bug report to request Dzongkha support in Fedora.

We already have packages with Jomolhari font (bug #231911) and as addition
Tibetan Machine Uni font (bug #218342).

Comment 1 Jens Petersen 2007-04-14 12:27:18 UTC
I can make a comps patch later for this.

Comment 2 Jesse Keating 2007-04-14 13:59:19 UTC
You should do it soon if you want this for F7 Test4.

Comment 3 Jens Petersen 2007-04-16 02:26:53 UTC
Created attachment 152659 [details]
comps-f7-bhutanese.patch

comps patch for adding Bhutanese Support package group.

Comment 4 Marcin Garski 2007-04-20 23:17:53 UTC
Jens in reply to your question "Which font will be used when they share the same
glyph?" from comment #6, bug 232176.

$ fc-match :lang=dz
TibetanMachineUniAlpha.ttf: "Tibetan Machine Uni" "Regular"

As I see TMU is preferred both in dz and bo. I found in fontconfig help that
it's hard to create configuration file that will cause fontconfig to prefer
Jomolhari font only in dz_BT locale, but I need to investigate it more.

In this case we can add Jomolhari as default in tibetan-support, but for now I
suggest removing TMU from bhutanese-support.

FYI: Next step to Dzongkha support can be found in bug 237110 :)

Comment 5 Jesse Keating 2007-05-22 21:46:06 UTC
I think we're too late for Fedora 7 on this one.  Reassigning to Fedora 8 Target.

Comment 6 Jens Petersen 2007-05-25 07:33:42 UTC
Created attachment 155434 [details]
comps.xml.in-Bhutanese.patch

Thanks for checking that, Marcin.

Sorry for the slow follow up.  Here is an updated patch to reflect that.

Comment 7 Jens Petersen 2007-06-20 01:14:35 UTC
Ok I committed this to comps cvs.

Comment 8 Marcin Garski 2007-06-20 12:26:23 UTC
Created attachment 157453 [details]
comps-f8.xml.in-oo.org-dz.patch

comps patch for adding Dzongkha oo.org langpack (only in devel tree)

Comment 9 Jens Petersen 2007-06-21 00:36:52 UTC
Thanks, I added the patch to comps-f8.xml.in.


Note You need to log in before you can comment on or make changes to this bug.